﻿using SciChart.Charting;
using SciChart.Charting.Model.ChartSeries;
using SciChart.Charting.Model.DataSeries;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SciChartMVVMTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            ThemeManager.DefaultTheme = "BrightSpark";

            this.DataContext = this;
            

            XyDataSeries<DateTime, int> data = new XyDataSeries<DateTime, int>();
            data.Append(DateTime.Now.AddDays(-3), 0);
            data.Append(DateTime.Now.AddDays(-2), 1);
            data.Append(DateTime.Now.AddDays(-1), 2);
            data.Append(DateTime.Now, 0);
            MyCustomSeries = (new CustomEnumRenderableSeriesViewModel()
            {
                DataSeries = data,
                StartY = 0.5f
            });

            InitializeComponent();
        }

        public IRenderableSeriesViewModel MyCustomSeries { get; set; }

    }
}
